package com.sun.org.apache.bcel.internal.classfile;

import java.io.IOException;
import java.io.DataOutputStream;

public class ClassElementValue extends ElementValue
{
    private final int idx;
    
    public ClassElementValue(int type, int idx, ConstantPool cpool) {
        super(type, cpool);
        this.idx = idx;
    }
    
    public int getIndex() {
        return this.idx;
    }
    
    public String getClassString() {
        ConstantUtf8 c = (ConstantUtf8)super.getConstantPool().getConstant(this.idx, (byte)1);
        return c.getBytes();
    }
    
    @Override
    public String stringifyValue() {
        ConstantUtf8 cu8 = (ConstantUtf8)super.getConstantPool().getConstant(this.idx, (byte)1);
        return cu8.getBytes();
    }
    
    @Override
    public void dump(DataOutputStream dos) throws IOException {
        dos.writeByte(super.getType());
        dos.writeShort(this.idx);
    }
}
